org.apache.activemq.artemis.jms.bridge

## Interface JMSBridgeControl

- All Superinterfaces:
    ActiveMQComponentControl
  All Known Implementing Classes:
    JMSBridgeControlImpl

      public interface JMSBridgeControl
      extends ActiveMQComponentControl

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientID()`
    `long` | `getFailureRetryInterval()`
    `int` | `getMaxBatchSize()`
    `long` | `getMaxBatchTime()`
    `int` | `getMaxRetries()`
    `String` | `getQualityOfServiceMode()`
    `String` | `getSelector()`
    `String` | `getSourcePassword()`
    `String` | `getSourceUsername()`
    `String` | `getSubscriptionName()`
    `String` | `getTargetPassword()`
    `String` | `getTargetUsername()`
    `boolean` | `isAddMessageIDInHeader()`
    `boolean` | `isFailed()`
    `boolean` | `isPaused()`
    `void` | `pause()`
    `void` | `resume()`
    `void` | `setAddMessageIDInHeader(boolean value)`
    `void` | `setClientID(String clientID)`
    `void` | `setFailureRetryInterval(long interval)`
    `void` | `setMaxBatchSize(int size)`
    `void` | `setMaxBatchTime(long time)`
    `void` | `setMaxRetries(int retries)`
    `void` | `setQualityOfServiceMode(String mode)`
    `void` | `setSelector(String selector)`
    `void` | `setSourcePassword(String pwd)`
    `void` | `setSourceUsername(String name)`
    `void` | `setSubscriptionName(String subname)`
    `void` | `setTargetPassword(String pwd)`
    `void` | `setTargetUsername(String name)`

    - ### Methods inherited from interface org.apache.activemq.artemis.api.core.management.ActiveMQComponentControl

      `isStarted, start, stop`

- - ### Method Detail

    - #### pause

          void pause()
              throws Exception

      Throws:
        `Exception`

    - #### resume

          void resume()
               throws Exception

      Throws:
        `Exception`

    - #### getSourceUsername

          String getSourceUsername()

    - #### setSourceUsername

          void setSourceUsername(String name)

    - #### getSourcePassword

          String getSourcePassword()

    - #### setSourcePassword

          void setSourcePassword(String pwd)

    - #### getTargetUsername

          String getTargetUsername()

    - #### setTargetUsername

          void setTargetUsername(String name)

    - #### getTargetPassword

          String getTargetPassword()

    - #### setTargetPassword

          void setTargetPassword(String pwd)

    - #### getSelector

          String getSelector()

    - #### setSelector

          void setSelector(String selector)

    - #### getFailureRetryInterval

          long getFailureRetryInterval()

    - #### setFailureRetryInterval

          void setFailureRetryInterval(long interval)

    - #### getMaxRetries

          int getMaxRetries()

    - #### setMaxRetries

          void setMaxRetries(int retries)

    - #### getQualityOfServiceMode

          String getQualityOfServiceMode()

    - #### setQualityOfServiceMode

          void setQualityOfServiceMode(String mode)

    - #### getMaxBatchSize

          int getMaxBatchSize()

    - #### setMaxBatchSize

          void setMaxBatchSize(int size)

    - #### getMaxBatchTime

          long getMaxBatchTime()

    - #### setMaxBatchTime

          void setMaxBatchTime(long time)

    - #### getSubscriptionName

          String getSubscriptionName()

    - #### setSubscriptionName

          void setSubscriptionName(String subname)

    - #### getClientID

          String getClientID()

    - #### setClientID

          void setClientID(String clientID)

    - #### isAddMessageIDInHeader

          boolean isAddMessageIDInHeader()

    - #### setAddMessageIDInHeader

          void setAddMessageIDInHeader(boolean value)

    - #### isPaused

          boolean isPaused()

    - #### isFailed

          boolean isFailed()

Copyright © 2017 The Apache Software Foundation. All rights reserved.